ishere now ishere now - 2 years ago 280
Android Question

Android: Manifest merger failed

I seem to be getting the error of:

Error:Execution failed for task ':app:processDebugManifest'.> Manifest merger failed : Attribute meta-data#android.support.VERSION@value value=(26.0.0-alpha1) from [com.android.support:appcompat-v7:26.0.0-alpha1] AndroidManifest.xml:27:9-38 is also present at [com.android.support:exifinterface:25.3.1] AndroidManifest.xml:24:9-31 value=(25.3.1). Suggestion: add 'tools:replace="android:value"' to element at AndroidManifest.xml:25:5-27:41 to override.

It seems as though this error is caused when I include an image cropping library of: compile 'com.theartofdev.edmodo:android-image-cropper:2.4.+'

Gradle build

apply plugin: 'com.android.application'

android {
compileSdkVersion 26
buildToolsVersion "26.0.1"

defaultConfig {
applicationId "com.myproj.blogapp"
minSdkVersion 21
targetSdkVersion 26
versionCode 1
versionName "1.0"
multiDexEnabled true
}
buildTypes {
release {
minifyEnabled false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
}


dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
testCompile 'junit:junit:4.12'
compile 'com.android.support:appcompat-v7:26.0.0-alpha1'
compile 'com.android.support:design:26.0.0-alpha1'
compile 'com.android.support:cardview-v7:26.0.+'
compile 'com.android.support:recyclerview-v7:26.0.+'
compile 'com.squareup.picasso:picasso:2.5.2'


compile 'com.google.firebase:firebase-core:11.0.4'
compile 'com.google.firebase:firebase-database:11.0.4'
compile 'com.google.firebase:firebase-appindexing:11.0.4'
compile 'com.google.firebase:firebase-storage:11.0.4'
compile 'com.google.firebase:firebase-crash:11.0.4'
compile 'com.google.firebase:firebase-auth:11.0.4'
compile 'com.firebase:firebase-client-android:2.3.1'
compile 'com.squareup.okhttp:okhttp:2.7.5'
compile 'com.theartofdev.edmodo:android-image-cropper:2.4.+' //This dependency causing error

// FirebaseUI Database only
compile 'com.firebaseui:firebase-ui-database:2.1.1'

}
apply plugin: 'com.google.gms.google-services'


Manifest.xml

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
package="com.myproj.blogapp"
xmlns:tools="http://schemas.android.com/tools">

<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

<application
tools:node="replace"
android:name=".SimpleBlog"
android:allowBackup="true"
android:icon="@mipmap/ic_launcher"
android:label="PT Mosque"
android:supportsRtl="true"
android:theme="@style/AppTheme">
<activity
android:name=".MainActivity"
android:label="Feed">
<intent-filter>
<action android:name="android.intent.action.MAIN" />

<category android:name="android.intent.category.LAUNCHER" />
</intent-filter>
</activity>
<activity
android:name="com.theartofdev.edmodo.cropper.CropImageActivity"
android:theme="@style/Base.Theme.AppCompat" />
<activity
android:name=".PostActivity"
android:windowSoftInputMode="adjustResize" />
<activity
android:name=".timetable"
android:label="Salah Times"
android:windowSoftInputMode="adjustResize" />
<activity android:name=".RegisterActivity" />
<activity android:name=".LoginActivity" />
<activity android:name=".SetupActivity"></activity>
</application>

</manifest>

Answer Source

add tools:replace="android:icon" in your activity tag

      <application
        tools:node="replace"
        android:name=".SimpleBlog"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="PT Mosque"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
 tools:replace="android:icon">

and also change

  compile 'com.android.support:appcompat-v7:26.0.0-alpha1'
    compile 'com.android.support:design:26.0.0-alpha1'
 compile 'com.theartofdev.edmodo:android-image-cropper:2.4.+'

to

 compile 'com.android.support:appcompat-v7:26.+'
 compile 'com.android.support:support-v4:26.+'
 compile ('com.theartofdev.edmodo:android-image-cropper:2.4.+'){

        exclude group: 'com.android.support'  
}
Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download